package mail

type MailClient struct {
	AppName string
	Server  string
	Port    string
}

func CreateDefaultMailApiClient(appName string) *MailClient {
	return createMailApiClient(appName, SMTP_SERVER, SMTP_PORT)
}

func createMailApiClient(appName, server, port string) *MailClient {
	return &MailClient{
		AppName: appName,
		Server:  server,
		Port:    port,
	}
}
